import request from '@/utils/request'
//获取列表
export function getInfo(data) {
  return request({
    url: '/doc/getMachineInfo',
    method: 'post',
    params: data
  })
}
//获取列表 有分页
export function getPageInfo(data) {
  return request({
    url: '/printbill/queryBreedTasksToFeedback',
    method: 'post',
    params: data
  })
}
//任务开始
export function taskFeedbackStart(data) {
  return request({
    url: '/printbill/taskFeedbackStart',
    method: 'post',
    params: data
  })
}
//任务暂停
export function taskFeedbackPause(data) {
  return request({
    url: '/printbill/taskFeedbackPause',
    method: 'post',
    params: data
  })
}
//任务完成
export function taskFeedbackComplete(data) {
  return request({
    url: '/printbill/taskFeedbackComplete',
    method: 'post',
    params: data
  })
}

//版任务数量反馈
export function feedbackTask(data) {
  return request({
    url: '/printbill/feedbackTask',
    method: 'post',
    params: data
  })
}
//版任务数量反馈并完成
export function addFeedbackRecordAndComplete(data) {
  return request({
    url: '/printbill/addFeedbackRecordAndComplete',
    method: 'post',
    params: data
  })
}


//判断印刷设置的权限
export function ifPermission(data) {
  return request({
    url: '/system/ifPermission',
    method: 'post',
    params: data
  })
}

//获取机台档案列表
export function getMachineInfoList(data) {
  return request({
    url: '/doc/queryMachineInfo',
    method: 'post',
    params: data
  })
}

//判断机台
export function setPrintMachineId(data) {
  return request({
    url: '/doc/queryMachineInfo',
    method: 'post',
    params: data
  })
}
//获取工单消息
export function getBreedMessageList(data) {
  return request({
    url: '/printbill/getBreedMessageList',
    method: 'post',
    params: data
  })
}

//增加施工单消息
export function addBreedMessage(data) {
  return request({
    url: '/printbill/addBreedMessage',
    method: 'post',
    params: data
  })
}

//获取施工单脚印
export function getPrintBillSteps(data) {
  return request({
    url: '/printbill/getPrintBillSteps',
    method: 'post',
    params: data
  })
}

//获取待反馈的任务,按工序查找(订单工序)
export function queryOrderTasksToFeedback(data) {
  return request({
    url: '/printbill/queryOrderTasksToFeedback',
    method: 'post',
    params: data
  })
}

//订单任务启动
export function orderTaskFeedbackStart(data) {
  return request({
    url: '/printbill/orderTaskFeedbackStart',
    method: 'post',
    params: data
  })
}

//订单任务暂停
export function orderTaskFeedbackPause(data) {
  return request({
    url: '/printbill/orderTaskFeedbackPause',
    method: 'post',
    params: data
  })
}


//订单任务反馈
export function feedbackOrderTask(data) {
  return request({
    url: '/printbill/feedbackOrderTask',
    method: 'post',
    params: data
  })
}

//半成品反馈界面数据组合
export function querySemiPrintBillFeedback(data) {
  return request({
    url: '/printbill/querySemiPrintBillFeedback',
    method: 'post',
    params: data
  })
}
//半成品反馈
export function semiFeedback(data) {
  return request({
    url: '/printbill/semiFeedback',
    method: 'post',
    params: data
  })
}

//外协消息
export function getSemiOutassistInfoByPart(data) {
  return request({
    url: '/printbill/getSemiOutassistInfoByPart',
    method: 'post',
    data: data
  })
}
//保存列
export function savePageTableColumn(data,pageName) {
  return request({
    url: '/system/savePageTableColumn?pageName='+pageName,
    method: 'post',
    data: data
  })
}
//获取列
export function getPageTableColumn(data,pageName) {
  return request({
    url: '/system/getPageTableColumn?pageName='+pageName,
    method: 'post',
    data: data
  })
}
// 获取施工单出版说明
export function getPrintBillAssemble(data) {
  return request({
    url: '/printbill/getPrintBillAssemble',
    method: 'post',
    params: data
  })
}
// 保存施工单出版说明
export function notePrintBillAssemble(data) {
  return request({
    url: '/printbill/notePrintBillAssemble',
    method: 'post',
    params: data
  })
}
export function notePrintBillAssembleByPrintBill(data) {
  return request({
    url: '/printbill/notePrintBillAssembleByPrintBill',
    method: 'post',
    params: data
  })
}
// 打印外协标签
export function semiOutassistInfoDoPrint(data) {
  return request({
    url: '/printbill/semiOutassistInfoDoPrint',
    method: 'post',
    params: data
  })
}
// 打印外协标签
export function queryBreedTasksToFeedback(data) {
  return request({
    url: '/printbill/queryBreedTasksToFeedback',
    method: 'post',
    params: data
  })
}
// 施工单二次领纸
export function requestPaperOutTwice(data) {
  return request({
    url: '/printbill/requestPaperOutTwice',
    method: 'post',
    params: data
  })
}
//获取原订单消息
export function viewRemoteOrderMessage(data) {
  return request({
    url: '/outassistBusiness/viewRemoteOrderMessage',
    method: 'post',
    params: data
  })
}

//施工单消息需要关联施工单id，写入时候，需要带上版名称
export function getBillMessageListByPrintBill(data) {
  return request({
    url: '/printbill/getBillMessageListByPrintBill',
    method: 'post',
    params: data
  })
}

//获取当前人员上班机台
export function getMachineOnWork(data) {
  return request({
    url: '/printbill/getMachineOnWork',
    method: 'post',
    params: data
  })
}

//获取当前人员上班机台
export function machineOnWork(data) {
  return request({
    url: '/printbill/machineOnWork',
    method: 'post',
    params: data
  })
}

//获取当前人员上班机台
export function submitStockBill(data) {
  return request({
    url: '/inventory/submitStockBill',
    method: 'post',
    params: data
  })
}


